- Development Integration
- /
- SDK
- /
- Python
- /
Management Module
- /
管理应用
- /
- 获取应用默认访问授权策略
¶ Get the default access authorization policy for the application
Update time: 2025-07-23 07:34:21
This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.
Get the default access authorization strategy for the application
¶ Method name
ManagementClient.get_application_permission_strategy
¶ Request parameters
| Name | Type | Is it required | Default value | Description | Sample value |
|---|---|---|---|---|---|
| appId | string | Yes | - | Application ID | 6229ffaxxxxxxxxcade3e3d9 |
¶ Request Response
Type: GetApplicationPermissionStrategyRespDto
| Name | Type | Description |
|---|---|---|
| statusCode | number | Business status code, which can be used to determine whether the operation is successful. 200 means success. |
| message | string | Description |
| apiCode | number | Segmented error code, which can be used to get the specific error type (successful requests are not returned). For a detailed list of error codes, see: API Code List (opens new window) |
| requestId | string | Request ID. This is returned when the request fails. |
| data | GetApplicationPermissionStrategyDataDto | Response data |
Example results:
{
"statusCode": 200,
"message": "Operation successful",
"requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
"data": {
"permissionStrategy": "ALLOW_ALL"
}
}
¶ Data Structure
¶ GetApplicationPermissionStrategyDataDto
| Name | Type | Is it required | Description | Example value |
|---|---|---|---|---|
| permissionStrategy | string | yes | Application access authorization strategy | ALLOW_ALL |
